Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# TransLog.h File Reference

API for the transaction logger. More...

`#include "config.h"`
`#include "Account.h"`
`#include "Transaction.h"`

## Functions

void | xaccOpenLog (void)
void | xaccCloseLog (void)
void | xaccTransWriteLog (Transaction *, char)
void | xaccLogEnable (void)
void | xaccLogDisable (void)
void | xaccLogSetBaseName (const char *)

## Detailed Description

API for the transaction logger.

The logfiles are useful for tracing, journalling, error recovery. Note that the current support for journalling is at best embryonic, at worst, is dangerous by setting the wrong expectations.

Author:
  Copyright (C) 1998 Linas Vepstas